summaryrefslogtreecommitdiffstats
path: root/development/apache-log4cxx
diff options
context:
space:
mode:
author Manuel Argüelles2017-03-03 13:49:15 +0100
committer Willy Sudiarto Raharjo2017-03-03 15:22:04 +0100
commit8b63d4996e8c9adb08b38dec25537cb2561b0b62 (patch)
tree1e9dcfdda63d7e3a863ee6e14c8796dcb9853233 /development/apache-log4cxx
parentd13d4cf29a4092784bd82a57cf7a6adbae761ced (diff)
downloadslackbuilds-8b63d4996e8c9adb08b38dec25537cb2561b0b62.tar.gz
development/apache-log4cxx: Added (A logging framework for C++).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/apache-log4cxx')
-rw-r--r--development/apache-log4cxx/README11
-rw-r--r--development/apache-log4cxx/apache-log4cxx.SlackBuild94
-rw-r--r--development/apache-log4cxx/apache-log4cxx.info10
-rw-r--r--development/apache-log4cxx/fixincludes.patch.gzbin0 -> 372 bytes
-rw-r--r--development/apache-log4cxx/slack-desc20
5 files changed, 135 insertions, 0 deletions
diff --git a/development/apache-log4cxx/README b/development/apache-log4cxx/README
new file mode 100644
index 0000000000..a3d3ece0d9
--- /dev/null
+++ b/development/apache-log4cxx/README
@@ -0,0 +1,11 @@
+Apache log4cxx is a logging framework for C++ patterned after Apache
+log4j, which uses Apache Portable Runtime for most platform-specific
+code and should be usable on any platform supported by APR. Apache
+log4cxx is licensed under the Apache License, an open source license
+certified by the Open Source Initiative.
+
+Log4cxx has three main components: loggers, appenders and
+layouts. These three types of components work together to enable
+developers to log messages according to message type and level, and to
+control at runtime how these messages are formatted and where they are
+reported.
diff --git a/development/apache-log4cxx/apache-log4cxx.SlackBuild b/development/apache-log4cxx/apache-log4cxx.SlackBuild
new file mode 100644
index 0000000000..8e1adafefb
--- /dev/null
+++ b/development/apache-log4cxx/apache-log4cxx.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for apache-log4cxx
+
+# Copyright 2017 Manuel Argüelles Panamá
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=apache-log4cxx
+VERSION=${VERSION:-0.10.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+zcat $CWD/fixincludes.patch.gz | patch -p1 || exit
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/apache-log4cxx/apache-log4cxx.info b/development/apache-log4cxx/apache-log4cxx.info
new file mode 100644
index 0000000000..c70613b1f7
--- /dev/null
+++ b/development/apache-log4cxx/apache-log4cxx.info
@@ -0,0 +1,10 @@
+PRGNAM="apache-log4cxx"
+VERSION="0.10.0"
+HOMEPAGE="https://logging.apache.org/log4cxx/"
+DOWNLOAD="http://www-us.apache.org/dist/logging/log4cxx/0.10.0/apache-log4cxx-0.10.0.tar.gz"
+MD5SUM="b30ffb8da3665178e68940ff7a61084c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Manuel Argüelles"
+EMAIL="manuel.arguelles@gmail.com"
diff --git a/development/apache-log4cxx/fixincludes.patch.gz b/development/apache-log4cxx/fixincludes.patch.gz
new file mode 100644
index 0000000000..b2d23c84b2
--- /dev/null
+++ b/development/apache-log4cxx/fixincludes.patch.gz
Binary files differ
diff --git a/development/apache-log4cxx/slack-desc b/development/apache-log4cxx/slack-desc
new file mode 100644
index 0000000000..547b011b26
--- /dev/null
+++ b/development/apache-log4cxx/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+apache-log4cxx: apache-log4cxx (A logging framework for C++)
+apache-log4cxx:
+apache-log4cxx: Apache log4cxx is a logging framework for C++ patterned after Apache
+apache-log4cxx: log4j, which uses Apache Portable Runtime for most platform-specific
+apache-log4cxx: code and should be usable on any platform supported by APR. Apache
+apache-log4cxx: log4cxx is licensed under the Apache License, an open source license
+apache-log4cxx: certified by the Open Source Initiative.
+apache-log4cxx:
+apache-log4cxx: Log4cxx is designed to be reliable, fast and extensible. Since
+apache-log4cxx: logging is rarely the main focus of an application, the log4cxx API
+apache-log4cxx: strives to be simple to understand and to use.
+apache-log4cxx: